Package com.io7m.cardant.protocol.inventory.cb

# Record Class CAI1FileColumnOrdering

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1FileColumnOrdering

Record Components:
  `fieldColumn` - The file column.
  `fieldAscending` - Whether results should be in ascending order.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record CAI1FileColumnOrdering(CAI1FileColumn fieldColumn, com.io7m.cedarbridge.runtime.api.CBBooleanType fieldAscending) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType
The file column by which to order results.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAI1FileColumnOrdering(CAI1FileColumn fieldColumn, com.io7m.cedarbridge.runtime.api.CBBooleanType fieldAscending)`
  Creates an instance of a `CAI1FileColumnOrdering` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1FileColumnOrdering`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1FileColumnOrdering.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBBooleanType`
  `fieldAscending()`
  Returns the value of the `fieldAscending` record component.
  `CAI1FileColumn`
  `fieldColumn()`
  Returns the value of the `fieldColumn` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1FileColumnOrdering $x)`
  Serialize a value of type CAI1FileColumnOrdering.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAI1FileColumnOrdering

    public CAI1FileColumnOrdering(CAI1FileColumn fieldColumn, com.io7m.cedarbridge.runtime.api.CBBooleanType fieldAscending)
    Creates an instance of a `CAI1FileColumnOrdering` record class.
    Parameters:
      `fieldColumn` - the value for the `fieldColumn` record component
      `fieldAscending` - the value for the `fieldAscending` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1FileColumnOrdering $x) throws IOException
    Serialize a value of type CAI1FileColumnOrdering.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1FileColumnOrdering deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1FileColumnOrdering.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1FileColumnOrdering.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldColumn

    public CAI1FileColumn fieldColumn()
    Returns the value of the `fieldColumn` record component.
    Returns:
      the value of the `fieldColumn` record component

  - ### fieldAscending

    public com.io7m.cedarbridge.runtime.api.CBBooleanType fieldAscending()
    Returns the value of the `fieldAscending` record component.
    Returns:
      the value of the `fieldAscending` record component